LADVD(8)

NAME
ladvd - send link layer advertisements

SYNOPSIS
ladvd [ -a ] [ INTERFACE ] [ INTERFACE ] ...

DESCRIPTION
ladvd sends LLDP (Link Layer Discovery Protocol) advertisements on all available interfaces. This makes connected hosts visible on managed switches. By default it will run as a privilege-separated daemon. Additional protocols can be enabled using the -C, -E, -F and -N options. Optionally a list of interfaces which ladvd should utilize can be supplied. Please note that only physical or bond/bridge interfaces can be specified, vlan interfaces can only be auto-detected.

INTERFACES
ladvd detects and uses all configured (UP) physical Ethernet interfaces by default, wireless interfaces can be enabled via the -w option. Additionally ladvd will recognize bundled interfaces (bridges, bonding) and use these to transmit additional information. The result is that normally it should not be necessary to specify interfaces on the ladvd command-line. The only reason for specifying interfaces is to explicitly exclude a particular interface.

OPTIONS

-a  Auto-enable protocols based on received packets (also enables receive mode).

-d  Dump pcap-compatible packets to stdout which can be piped to tcpdump (via "| tcpdump -r -") or redirected to a file for further analysis.

-e interface
    Exclude a particular interface, no packets will be transmitted on this interface.

-f  Run in the foreground and send logging to stderr.

-h  Print usage instructions.

-m interface
    The management interface for this host. Addresses on this interface are auto-detected (IPv4 and IPv6).

-n  Use addresses of the management interface specified via -m for all interfaces.

-o  Run only once, useful for quick troubleshooting.

-r  Receive packets, and use them for various features.

-s  Be silent, don't transmit any packets.

-q  Use each interface's hwaddr the generate the chassis-id TLV. Not recommended because the chassis-id should be the same for all interfaces.

-t  Use Tun/Tap interfaces.

-u user
    Switch to this user (defaults to ladvd)

-v  Increase logging verbosity.

-w  Use wireless interfaces.

-y  Save received peer hostname and port description in interface descriptions (requires SIOCSIFDESCR support) or Linux ifAliases. This also enables receive mode.

-z  Save received peer hostname and port name in interface descriptions (requires SIOCSIFDESCR support) or Linux ifAliases. This also enables receive mode.

-c <CC>
    Specify a two-letter ISO 3166 country code (required for LLDP location support).

-l <location>
    Specify the physical location of the host.

-L  Enable LLDP (Link Layer Discovery Protocol).

-C  Enable CDP (Cisco Discovery Protocol).

-E  Enable EDP (Extreme Discovery Protocol).

-F  Enable FDP (Foundry Discovery Protocol).

-N  Enable NDP (Nortel Discovery Protocol) formerly called SynOptics Network Management Protocol (SONMP).

AUTHOR
Sten Spans <sten@blinkenlights.nl>